
Partial Class Split_text_in_parts
    Inherits System.Web.UI.Page

    Protected Sub btnSplit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSplit.Click

        ' We declare an array that is called "parts" and we split up the text in the textbox by the , sign
        ' and fill the array with this parts

        Dim parts As String() = txtTextToSplit.Text.Split(",")

        ' For every part in the parts array we add a link to our ltResult literal. The Trim statement removes spaces in the beginning and end of a string
        ' so that there are no blank spaces in the beginning and the end of each sentence.

        For Each part As String In parts
            Dim sentence As String = part.Trim
            ltResult.Text += "<a class=""taglink"" href=""" & "../tag/" & sentence.ToLower().Replace(" ", "-") & ".aspx" & """>" & sentence & "</a><br />"
        Next
    End Sub
End Class
