using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Split_text_in_parts : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnSplit_Click(object sender, EventArgs e)
    {
        // We declare an array that is called "parts" and we split up the text in the textbox by the , sign
        // and fill the array with these parts.

        string[] parts = txtTextToSplit.Text.Split(',');

        // For every part in the parts array we add a link to our ltResult literal. The Trim statement removes spaces in the beginning and end of a string
        // so that there are no blank spaces in the beginning and the end of each sentence.

        foreach (string part in parts)
        {
            string sentence = part.Trim();

            ltResult.Text += "<a class=\"taglink\" href=\"" + "../tag/" + sentence.ToLower().Replace(" ", "-") + ".aspx" + "\">" + sentence + "</a><br />";
        }

    }
}
